Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Functions | Variables

# Package p3d.pdeploy

## Functions
def | usage
## Variables
tuple | appFilename = Filename.fromOsSpecific(args[0])
string | authoremail = ""
string | authorid = ""
string | authorname = ""
| currentPlatform = False
list | deploy_mode = args[1]
list | DEPLOY_MODES = ["standalone", "installer", "html"]
| failed = False
string | fullname = ""
tuple | html = open(Filename(outputDir, shortname + ".html").toOsSpecific(), "w")
tuple | i = Installer(appFilename, shortname, fullname, version, tokens = tokens)
list | iconFiles = []
| includeRequires = False
tuple | licensefile = Filename()
string | licensename = ""
string | msg = 'illegal option: '
tuple | output = Filename(outputDir, platform + "/")
tuple | outputDir = Filename("./")
tuple | platform = PandaSystem.getPlatform()
list | platforms = []
tuple | s = Standalone(appFilename, tokens)
string | shortname = ""
tuple | token = arg.strip()
dictionary | tokens = {}
string | usageText
string | version = ""

## Function Documentation

def p3d.pdeploy.usage | ( |  | code,
|  |  | msg = `''`
| ) |  |

## Variable Documentation

tuple appFilename = Filename.fromOsSpecific(args[0])

tuple authoremail = ""

tuple authorid = ""

tuple authorname = ""

currentPlatform = False

list deploy_mode = args[1]

list DEPLOY_MODES = ["standalone", "installer", "html"]

failed = False

tuple fullname = ""

tuple html = open(Filename(outputDir, shortname + ".html").toOsSpecific(), "w")

tuple i = Installer(appFilename, shortname, fullname, version, tokens = tokens)

list iconFiles = []

includeRequires = False

tuple licensefile = Filename()

tuple licensename = ""

string msg = 'illegal option: '

tuple output = Filename(outputDir, platform + "/")

tuple outputDir = Filename("./")

tuple platform = PandaSystem.getPlatform()

list platforms = []

tuple s = Standalone(appFilename, tokens)

tuple shortname = ""

tuple token = arg.strip()

dictionary tokens = {}

string usageText

tuple version = ""

All Classes Namespaces Functions Variables Enumerations Enumerator Properties